## org.eclipse.emf.compare.diff.merge
Class AbstractMergeListener

    java.lang.Object
      org.eclipse.emf.compare.diff.merge.AbstractMergeListener

All Implemented Interfaces:
  java.util.EventListener, IMergeListener

    public abstract class AbstractMergeListener

extends java.lang.Object
implements IMergeListener

An abstract implementation of a listener to receive merge events. All methods in this class are empty, clients should override the method corresponding to whichever event they are interested in handling notifications for.

Constructor Summary
`AbstractMergeListener()`

Method Summary
`void` `mergeDiffEnd(MergeEvent event)` This is called whenever a difference has been merge.
`void` `mergeDiffStart(MergeEvent event)` This is called whenever a DiffElement is about to be merged.
`void` `mergeOperationEnd(MergeEvent event)` This is called whenever a merge operation has ended, either on a single `DiffElement` or a list of differences.
`void` `mergeOperationStart(MergeEvent event)` This is called whenever a merge operation is about to be launched, either on a single `DiffElement` or a list of differences.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMergeListener

    public AbstractMergeListener()

Method Detail

### mergeDiffEnd

    public void mergeDiffEnd(MergeEvent event)

  This is called whenever a difference has been merge.

  Specified by:
    `mergeDiffEnd` in interface `IMergeListener`
  Parameters:
    `event` - Holds information about the merged `DiffElement`.
  See Also:
    `IMergeListener.mergeDiffEnd(org.eclipse.emf.compare.diff.merge.MergeEvent)`

### mergeDiffStart

    public void mergeDiffStart(MergeEvent event)

  This is called whenever a DiffElement is about to be merged.

  Specified by:
    `mergeDiffStart` in interface `IMergeListener`
  Parameters:
    `event` - Holds information about the merged `DiffElement`.
  See Also:
    `IMergeListener.mergeDiffStart(org.eclipse.emf.compare.diff.merge.MergeEvent)`

### mergeOperationEnd

    public void mergeOperationEnd(MergeEvent event)

  This is called whenever a merge operation has ended, either on a single `DiffElement` or a list of differences.

  Specified by:
    `mergeOperationEnd` in interface `IMergeListener`
  Parameters:
    `event` - Holds information about the merged `DiffElement`(s).
  See Also:
    `IMergeListener.mergeOperationEnd(org.eclipse.emf.compare.diff.merge.MergeEvent)`

### mergeOperationStart

    public void mergeOperationStart(MergeEvent event)

  This is called whenever a merge operation is about to be launched, either on a single `DiffElement` or a list of differences.

  Specified by:
    `mergeOperationStart` in interface `IMergeListener`
  Parameters:
    `event` - Holds information about the merged `DiffElement`(s).
  See Also:
    `IMergeListener.mergeOperationStart(org.eclipse.emf.compare.diff.merge.MergeEvent)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.